#version 330 core

in vec2 TexCoords;
out vec4 fragColor;

uniform sampler2D image;
uniform vec3 spriteColor;
uniform float gamma;

void main()
{    
    vec4 texColor = texture(image, TexCoords);

    if (texColor.a < 0.5)
    {
        fragColor = vec4(0.0, 0.0, 0.0, 0.0); //transparent
    }
    else
    {
        fragColor = vec4(texColor.rgb, 1.0);
    }

    fragColor.rgb = pow(fragColor.rgb, vec3(1.0/gamma));
    
}