#version 330 core

in float lifetime;
in vec2 texCoords;  
out vec4 fragColor;

uniform sampler2D tex; 
uniform float gamma;

void main()
{
    vec4 image = texture(tex, texCoords);
    
    if (image.a < 0.5)
    {
        fragColor = vec4(0.0f); //transparent
    }
    else
    {
        fragColor = vec4(image.rgb, 1.0);
    }

    fragColor.rgb = pow(fragColor.rgb, vec3(1.0/gamma));
}

